using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int br = 0;
            string sa = "";
            string red = Console.ReadLine();
            string[] s = red.Split(' ');
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[] niz = new int[n];
            //proffffff ovo je za vas<3
            string ss = Console.ReadLine();
            string[] s1 = ss.Split(' ');
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s1[i]);
            }
            for (int i=-n; i<n+1; i++)
            {
                int br1 = 0;
                for (int j=0; j<n; j++)
                {
                    if (i == niz[j]) br1 = br1 + 1;
                }
                if (br1>=k)
                {
                    br = br + 1;
                    sa = sa + i.ToString() + " ";
                }
            }
            Console.WriteLine(br);
            if (sa != "") Console.WriteLine(sa);
        }
    }
}